// package mock_zone -- мок-область зоны игры
package mock_zone

import (
	"context"
	"wartank/pkg/types"
)

// МокОбласть -- мок-область зоны игры
type МокСцена struct {
	кнт context.Context
}

func НовМокСцена() *МокСцена {
	сам := &МокСцена{
		кнт: context.Background(),
	}
	_ = types.ИСцена(сам)
	return сам
}

func (сам *МокСцена) Кнт() context.Context {
	return сам.кнт
}

func (сам *МокСцена) Имя() string {
	return "МокСцена"
}
func (сам *МокСцена) Закончить() {}

func (сам *МокСцена) Бот() types.ИБот {
	return nil
}
